MongoDB compatibility table

  • This table presents the compatibility of Sitecore XP with different versions of MongoDB.
    MongoDB version XP 7.5 XP 8.0 Initial – Update-4 XP 8.0 Update-5
    and later
    XP 8.1 XP 8.2 XP 9.0 XP 9.1 XP 9.2 XP 9.3 XP 10.0
    Mongo 2.6 mmapv1 - - - - -
    Mongo 3.0 mmapv1 - - - - - - -
    Mongo 3.0 Wired Tiger - - - - - - -
    Mongo 3.2.1 mmapv1 - - - - - - - - -
    Mongo 3.2.1 Wired Tiger - - - - - - - - -
    Mongo 3.2.1 Enterprise with data-at-rest encryption (Wired Tiger only) - - - - - - - - -
    Mongo 3.4 - - - - [1] - - - - -
    Mongo 3.6.6 - - - - [4] [2][3] [3] - - -
    Mongo 4.0.5 - - - -
    [5]

    [5]

    [5]
    Mongo 4.0.6–4.0.10 - - - - - - -
    -
    Mongo 4.0.11-4.0.13 - - - -
    [5]

    [5]

    [5]
    - -

    Legend: "-" – not supported; "✓" – supported. Notes: The versions with revision numbers newer than the specified ones have not been tested, but should not cause compatibility issues. Please refer to the MongoDB versioning details. The compatibility table shows all officially tested versions' compatibility. While some versions of Sitecore XP might have compatible driver versions according to the MongoDB C#/.Net Driver Compatibility, note that they have not been tested and might yield unexpected results.

    Check the possible Security vulnerabilities in MongoDB 3.4 and 3.6.

    • [1] Starting from Sitecore XP 8.2 Update-6.
    • [2] Starting from Sitecore XP 9.0 Update-2.
    • [3] MMAPv1 storage engine is not supported.
    • [4] Supported with Sitecore XP 8.2 Update-7. See this article for details on how to upgrade to MongoDB 3.6.6.
    • [5] MongoDB 4.0.5 and 4.0.13 are compatible with Sitecore XP 8.2, Sitecore XP 9.0 and Sitecore XP 9.1. For more details, refer to Sitecore XP support for MongoDB 4.0.

Applies to:

CMS 7.5 Initial Release - 10.0 Update-1

March 17, 2017
February 25, 2021